version: "3.3"
services:
  spark-master:
    image: spydernaz/spark-master:latest
    ports:
      - "9090:8080"
      - "7077:7077"
      - "5050:4040"
    volumes:
       - ./apps:/opt/spark-apps
       - ./data:/opt/spark-data
    environment:
      - "SPARK_LOCAL_IP=spark-master"
  spark-worker:
    image: spydernaz/spark-worker:latest
    depends_on:
      - spark-master
    environment:
      - SPARK_MASTER=spark://spark-master:7077
      - SPARK_WORKER_CORES=2
      - SPARK_WORKER_MEMORY=4G
      - SPARK_DRIVER_MEMORY=4G
      - SPARK_EXECUTOR_MEMORY=2G
    volumes:
       - ./apps:/opt/spark-apps
       - ./data:/opt/spark-data
